apiVersion: redhatcop.redhat.io/v1alpha1
kind: QuayEcosystem
metadata:
  name: demo4-quayecosystem
spec:
  quay:
    imagePullSecretName: redhat-pull-secret
    image: quay.io/quay/quay:3.2.1-1
    keepConfigDeployment: true
    enableRepoMirroring: true
    externalAccess:
      type: NodePort
      nodePort: 30100
      configNodePort: 30101
    resources:
      requests:
        memory: "2048Mi"
        cpu: "2000m"
      limits:
        memory: "4096Mi"
        cpu: "4000m"
    database:
      image: registry.access.redhat.com/rhscl/postgresql-96-rhel7:1
      volumeSize: 30Gi
    envVars:
      - name: DEBUGLOG
        value: "true"
  clair:
    enabled: true
    image: quay.io/quay/clair-jwt:v3.2.1-1
    imagePullSecretName: redhat-pull-secret
    updateInterval: "60m"
    database:
      image: registry.access.redhat.com/rhscl/postgresql-96-rhel7:1
      resources:
        requests:
          memory: "2048Mi"
          cpu: "2000m"
        limits:
          memory: "4096Mi"
          cpu: "4000m"
      volumeSize: 30Gi
